tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Enum SaveMode

- java.lang.Object
- - java.lang.Enum<SaveMode>
  - - tigase.jaxmpp.core.client.xmpp.modules.xep0136.SaveMode

- All Implemented Interfaces:
    Serializable, Comparable<SaveMode>

      public enum SaveMode
      extends Enum<SaveMode>

  Author:
    andrzej

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Body`
    `False`
    `Message`
    `Stream`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static SaveMode` | `valueof(String v)`
    `static SaveMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SaveMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### False

          public static final SaveMode False

    - #### Body

          public static final SaveMode Body

    - #### Message

          public static final SaveMode Message

    - #### Stream

          public static final SaveMode Stream

  - ### Method Detail

    - #### values

          public static SaveMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SaveMode c : SaveMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SaveMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueof

          public static SaveMode valueof(String v)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SaveMode>`

Copyright © 2006–2020 Tigase. All rights reserved.